> Tychron Atlas API & Provisioning Reference — chapter 25 of 35 as Markdown. Web version: https://docs.tychron.com/api-reference/csp-enums/
> Source: https://docs.tychron.com/api-reference/ · Updated 2026-08-12 · Generated from the Atlas OpenAPI spec (https://api.atlas.tychron.online/api/v1/openapi is the live contract; this file is a dated snapshot of it).
> Source revision: atlas_api_reference_2026-08-12.md · sha256 482ebd3b014af053 · sanitize gate v1 clean · reconciled with OpenAPI 2026.8.25-p01 (spec sha256 cc049ef38c71cd6e) on 2026-09-05 · content last modified 2026-09-09 · newer definition under review since 2026-09-09 (not yet reconciled)
> Scope: the Atlas platform API only. The SMS, MMS, CNAM, LRN and MCL services are separate APIs with their own specifications: https://docs.tychron.com/openapi/
> Machine index: https://docs.tychron.com/llms.txt

# CSP Enums

Provided for your convenience are cached versions of TCR's enum values.

These caches are guaranteed to be up to date within a minute of any changes.

## Schemas

CSP Usecases

__Type__ Object

| Name | Type                             | Description |
| ---- | -------------------------------- | ----------- |
| `*`  | [CspUsecase](https://docs.tychron.com/api-reference/schemas/#schema-cspusecase) |             |



__Example__

```json
{
  "*": {
    "classification": "string",
    "description": "string",
    "displayName": "string",
    "maxSubUsecases": 5,
    "minSubUsecases": 1,
    "validSubUsecase": true
  }
}
```


CSP Error Codes

__Type__ Object

| Name | Type   | Description |
| ---- | ------ | ----------- |
| `*`  | String |             |



__Example__

```json
{
  "*": "string"
}
```


CSP Campaign Statuses

__Type__ Array

| Name  | Type   | Description |
| ----- | ------ | ----------- |
| `[n]` | String |             |

__Example__

```json
[
  "ACTIVE"
]
```


CSP Stock Exchanges

__Type__ Array

| Name  | Type   | Description |
| ----- | ------ | ----------- |
| `[n]` | String |             |

__Example__

```json
[
  "AMEX"
]
```


CSP MNO Operation Statuses

__Type__ Array

| Name  | Type   | Description |
| ----- | ------ | ----------- |
| `[n]` | String |             |

__Example__

```json
[
  "REVIEW"
]
```


CSP Verticals

__Type__ Object

| Name | Type                               | Description |
| ---- | ---------------------------------- | ----------- |
| `*`  | [CspVertical](https://docs.tychron.com/api-reference/schemas/#schema-cspvertical) |             |



__Example__

```json
{
  "*": {
    "description": "Information technology and information services.",
    "displayName": "Information Technology Services",
    "industryId": "information-technology-services"
  }
}
```


CSP Vetting Providers

__Type__ Array

| Name  | Type                                             | Description |
| ----- | ------------------------------------------------ | ----------- |
| `[n]` | [CspVettingProvider](https://docs.tychron.com/api-reference/schemas/#schema-cspvettingprovider) |             |

__Example__

```json
[
  {
    "displayName": "Demo Vetting Provider",
    "evpId": "DEMO_EVP",
    "tcrBillable": true,
    "vettingClasses": [
      "STANDARD"
    ],
    "vettingInstruction": "string"
  }
]
```


CSP Vetting Classes

__Type__ Array

| Name  | Type                                       | Description |
| ----- | ------------------------------------------ | ----------- |
| `[n]` | [CspVettingClass](https://docs.tychron.com/api-reference/schemas/#schema-cspvettingclass) |             |

__Example__

```json
[
  {
    "description": "string",
    "displayName": "string",
    "enabled": true,
    "id": "string",
    "validatyMonths": 0.0
  }
]
```


CSP MNOs

__Type__ Array

| Name  | Type                   | Description |
| ----- | ---------------------- | ----------- |
| `[n]` | [SubObject](https://docs.tychron.com/api-reference/csp-enums/#type-372) | MNO         |

__Example__

```json
[
  {
    "displayName": "string",
    "networkId": 0.0,
    "osrBitmaskindex": 0.0
  }
]
```
#### SubObject {#type-372}

Sub-Schema

MNO

__Type__ Object

| Name              | Type   | Description |
| ----------------- | ------ | ----------- |
| `displayName`     | String |             |
| `networkId`       | Number |             |
| `osrBitmaskindex` | Number |             |





CSP DCAs

__Type__ Array

| Name  | Type                   | Description |
| ----- | ---------------------- | ----------- |
| `[n]` | [SubObject](https://docs.tychron.com/api-reference/csp-enums/#type-373) | DCA         |

__Example__

```json
[
  {
    "displayName": "string",
    "id": "string"
  }
]
```
#### SubObject {#type-373}

Sub-Schema

DCA

__Type__ Object

| Name          | Type   | Description |
| ------------- | ------ | ----------- |
| `displayName` | String |             |
| `id`          | String |             |





CSP Entity Types

__Type__ Array

| Name  | Type   | Description |
| ----- | ------ | ----------- |
| `[n]` | String |             |

__Example__

```json
[
  "PRIVATE_PROFIT"
]
```


CSP Brand Relationships

__Type__ Array

| Name  | Type   | Description |
| ----- | ------ | ----------- |
| `[n]` | String |             |

__Example__

```json
[
  "BASIC_ACCOUNT"
]
```


CSP Alt Business ID Types

__Type__ Array

| Name  | Type   | Description |
| ----- | ------ | ----------- |
| `[n]` | String |             |

__Example__

```json
[
  "NONE"
]
```


CSP Event Categories

__Type__ Array

| Name  | Type   | Description |
| ----- | ------ | ----------- |
| `[n]` | String |             |

__Example__

```json
[
  "string"
]
```


CSP Event Categories

__Type__ Object

| Name | Type   | Description |
| ---- | ------ | ----------- |
| `*`  | String |             |



__Example__

```json
{
  "*": "string"
}
```


## API

### List Usecases

```http
GET /api/v1/csp/enum/usecases HTTP/1.1
```

Retrieve


#### Request

```http
GET /api/v1/csp/enum/usecases HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 184
```

```json
{
  "*": {
    "classification": "string",
    "description": "string",
    "displayName": "string",
    "maxSubUsecases": 5,
    "minSubUsecases": 1,
    "validSubUsecase": true
  }
}
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```


### List Sub-Usecases

```http
GET /api/v1/csp/enum/sub_usecases HTTP/1.1
```

Retrieve


#### Request

```http
GET /api/v1/csp/enum/sub_usecases HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 184
```

```json
{
  "*": {
    "classification": "string",
    "description": "string",
    "displayName": "string",
    "maxSubUsecases": 5,
    "minSubUsecases": 1,
    "validSubUsecase": true
  }
}
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```


### List Campaign Statuses

```http
GET /api/v1/csp/enum/campaign_statuses HTTP/1.1
```



#### Request

```http
GET /api/v1/csp/enum/campaign_statuses HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 14
```

```json
[
  "ACTIVE"
]
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```


### List Error Codes

```http
GET /api/v1/csp/enum/error_codes HTTP/1.1
```



#### Request

```http
GET /api/v1/csp/enum/error_codes HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 19
```

```json
{
  "*": "string"
}
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```


### List Vetting Providers

```http
GET /api/v1/csp/enum/vetting_providers HTTP/1.1
```



#### Request

```http
GET /api/v1/csp/enum/vetting_providers HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 188
```

```json
[
  {
    "displayName": "Demo Vetting Provider",
    "evpId": "DEMO_EVP",
    "tcrBillable": true,
    "vettingClasses": [
      "STANDARD"
    ],
    "vettingInstruction": "string"
  }
]
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```


### List Stock Exchanges

```http
GET /api/v1/csp/enum/stock_exchanges HTTP/1.1
```



#### Request

```http
GET /api/v1/csp/enum/stock_exchanges HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 12
```

```json
[
  "AMEX"
]
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```


### List MNO Operation Statuses

```http
GET /api/v1/csp/enum/mno_operation_statuses HTTP/1.1
```



#### Request

```http
GET /api/v1/csp/enum/mno_operation_statuses HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 14
```

```json
[
  "REVIEW"
]
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```


### List Verticals

```http
GET /api/v1/csp/enum/verticals HTTP/1.1
```



#### Request

```http
GET /api/v1/csp/enum/verticals HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 193
```

```json
{
  "*": {
    "description": "Information technology and information services.",
    "displayName": "Information Technology Services",
    "industryId": "information-technology-services"
  }
}
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```


### List Vetting Classes

```http
GET /api/v1/csp/enum/vetting_classes HTTP/1.1
```



#### Request

```http
GET /api/v1/csp/enum/vetting_classes HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 136
```

```json
[
  {
    "description": "string",
    "displayName": "string",
    "enabled": true,
    "id": "string",
    "validatyMonths": 0.0
  }
]
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```


### List MNOs

```http
GET /api/v1/csp/enum/mnos HTTP/1.1
```



#### Request

```http
GET /api/v1/csp/enum/mnos HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 89
```

```json
[
  {
    "displayName": "string",
    "networkId": 0.0,
    "osrBitmaskindex": 0.0
  }
]
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```


### List DCAs

```http
GET /api/v1/csp/enum/dcas HTTP/1.1
```



#### Request

```http
GET /api/v1/csp/enum/dcas HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 59
```

```json
[
  {
    "displayName": "string",
    "id": "string"
  }
]
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```


### List Entity Types

```http
GET /api/v1/csp/enum/entity_types HTTP/1.1
```



#### Request

```http
GET /api/v1/csp/enum/entity_types HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 22
```

```json
[
  "PRIVATE_PROFIT"
]
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```


### List Brand Relationships

```http
GET /api/v1/csp/enum/brand_relationships HTTP/1.1
```



#### Request

```http
GET /api/v1/csp/enum/brand_relationships HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 21
```

```json
[
  "BASIC_ACCOUNT"
]
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```


### List Alt-Business ID Types

```http
GET /api/v1/csp/enum/alt_business_id_types HTTP/1.1
```



#### Request

```http
GET /api/v1/csp/enum/alt_business_id_types HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 12
```

```json
[
  "NONE"
]
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```


### List Event Categories

```http
GET /api/v1/csp/enum/event_categories HTTP/1.1
```



#### Request

```http
GET /api/v1/csp/enum/event_categories HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 14
```

```json
[
  "string"
]
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```


### List CNPs

```http
GET /api/v1/csp/enum/cnps HTTP/1.1
```



#### Request

```http
GET /api/v1/csp/enum/cnps HTTP/1.1
Accept: application/json
```
#### Response 200

##### application/json

```http
HTTP/1.1 200
Content-Type: application/json
Content-Length: 19
```

```json
{
  "*": "string"
}
```
#### Response 403

##### application/json

```http
HTTP/1.1 403
Content-Type: application/json
Content-Length: 312
```

```json
{
  "errors": [
    {
      "code": "access_denied.no_scope",
      "detail": "No scope available to user role",
      "params": {
        "action": "index",
        "level": "guest",
        "resource": "resource"
      },
      "sub_code": "none",
      "title": "Access Denied, no scope available"
    }
  ]
}
```

---

Previous chapter: https://docs.tychron.com/api-reference/osr-overwrite-requests.md  
Next chapter: https://docs.tychron.com/api-reference/csp-brands.md  
Complete reference in one file: https://docs.tychron.com/llms-full.txt
